﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Agilent DSO90254A: (1 yr) VER VISA /9500/3200+4Hd,LO
DATE:                  2011-02-17 14:12:03
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       278
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Datron 9530 on channel 1
CONFIGURATION:         Datron 9530 on channel 2
CONFIGURATION:         Datron 9530 on channel 3
CONFIGURATION:         Datron 9530 on channel 4
CONFIGURATION:         Agilent E8257D
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#@
#@ Model(s) Covered:
#@       Agilent DSO90254A
#@
#@ Compatibility:
#@        MET/CAL 7.3 or later
#@
#@ Source(s):
#@       Agilent 90000 Series Infiniium Oscilloscopes Service Guide,
#@        Part No. 54913-97007, December 2008
#@
#  Subprocedures:
#        Sub Display Copyright
#        Sub UUT Connection VISA
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Select Failed Test Mode
#        Sub Agilent Infiniium Channel Selection VISA
#        Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA
#        Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500
#        Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500
#        Sub AT DSO/DSA90254A (1 yr) Bandwidth VER VISA /9530
#        Sub AT DSO/DSA9xxx4A (1 yr) Time Scale VER VISA /LO
#
#  Flexible Driver subprocedures:
#        Sub Initialize /LO
#        Sub Reset /LO
#        Sub Output Off /LO
#        Sub Apply /LO
#        Sub Send Command /LO
#
#  Required Files:
#        None
#
#@ Flexible Standard(s) Required:
#@       - Local Oscillator (LO):
#@         Example: Agilent E8257D Opt 520 or equivalent
#@         - Frequency Range: 10.00002 MHz, CW
#@           Accuracy: < ± 0.01 ppm
#@           Settability: 10 Hz (Internal)
#@         - Amplitude Range: 0 dBm (into 50 Ohms)
#@
#  Additional Equipment Required:
#        None
#
#  The procedure was tested using:
#        Model Number      : DSO91304A (simulating DSO90254A)
#        Serial number     : MY47350002
#        Firmware Revision : 03.02.0000
#
#@ Average run time during testing:
#@       33 min.
#@
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK+           K
  1.002  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.003  IF           0
  1.004  M9500                       CH1
  1.005  9500         2.5GH                        100mVpp        LS    S  L
  1.006  M9500                       CH2
  1.007  9500         2.5GH                        100mVpp        LS    S  L
  1.008  M9500                       CH3
  1.009  9500         2.5GH                        100mVpp        LS    S  L
  1.010  M9500                       CH4
  1.011  9500         2.5GH                        100mVpp        LS    S  L
  1.012  IEEE         [@LO]
  1.013  ENDIF

  1.014  IF           NOT(VERSIONCHECK("7.3"))
  1.015  DISP         Met/CAL Version 7.3 or later is required.
  1.016  END
  1.017  ENDIF

  1.018  CALL         Sub Display Copyright

  1.019  MATH         @VisaUSB = 1; @VisaLAN = 1
  1.020  CALL         Sub UUT Connection VISA

  1.021  IF           @Abort
  1.022  END
  1.023  ENDIF

  1.024  VISA         *RST

  1.025  HEAD         UUT IDENTIFICATION
  1.026  CALL         Sub IEEE-488.2 Identification Query VISA

  1.027  MATH         @UUT_Manufacturer  = "Agilent Technologies"
  1.028  MATH         @UUT_Manufacturer2 = "Hewlett-Packard"
  1.029  MATH         @UUT_Model         = "DSO90254A"
  1.030  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.031  IF           @Abort
  1.032  END
  1.033  ENDIF

# Set Post-Test reset condition for UUT.
  1.034  RESET        *CLS[GTL]

  1.035  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.036  CALL         Sub Select Failed Test Mode

  1.037  HEAD         EQUIPMENT REQUIRED
  1.038  DISP         Flexible Standard(s) Required:
  1.038  DISP
  1.038  DISP         - Local Oscillator (LO):
  1.038  DISP         [32] Example: Agilent E8257D Opt 520 or equivalent
  1.038  DISP
  1.038  DISP         [32] - Frequency Range: 10.00002 MHz, CW
  1.038  DISP         [32]   Accuracy:        ±0.01 ppm
  1.038  DISP         [32]   Settability:     10 Hz or better
  1.038  DISP
  1.038  DISP         [32] - Amplitude Range: 0 dBm (into 50 Ohms)

  1.039  HEAD         PRELIMINARY INSTRUCTIONS
  1.040  DISP         Ensure a minimum UUT warm-up time of 30 minutes
  1.040  DISP         has elapsed prior to proceeding.

  1.041  CALL         Sub Initialize /LO
  1.042  CALL         Sub Reset /LO
  1.043  CALL         Sub Output Off /LO

# Configure UUT Bandwidth and Test Parameters.  Due to the nature of these
# tests, and/or the use of UUT Average Acquisition Mode, all testing is
# performed with the following parameters.  There is no need for separate
# TAR and MU modes.
  1.044  MATH         @Bandwidth = 2.5E+9
  1.045  VSET         NMEAS = 1; NTHROW = 0; NSD = 3

  1.046  HEAD         INSTRUMENT CONNECTIONS
  1.047  DISP         Remove ALL connections from the UUT channel inputs.
  1.047  DISP
  1.047  DISP         The next routine operator intervention occurs
  1.047  DISP         in approximately 4 minutes.

  1.048  RSLT         =
  1.049  HEAD         SELF TEST
  1.050  TARGET
  1.051  HEAD         -2 Performing SELF TEST, please wait...
  1.052  VISA         [T300000]*TST?[I]
  1.053  HEAD         -2
  1.054  EVAL   -e NOT(MEM) : SELF TEST

  2.001  IF           FAIL()
  2.002  END
  2.003  ENDIF

  2.004  MATH         @Chan = 1
  2.005  M9500                       CH1
  2.006  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA

  2.007  MATH         @Chan = 2
  2.008  M9500                       CH2
  2.009  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA

  2.010  MATH         @Chan = 3
  2.011  M9500                       CH3
  2.012  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA

  2.013  MATH         @Chan = 4
  2.014  M9500                       CH4
  2.015  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA

  2.016  HEAD         INSTRUMENT CONNECTIONS
  2.017  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.018  DISP         Make the following connections:
  2.018  DISP
  2.018  DISP         [32]       9500          to    UUT
  2.018  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 1
  2.018  DISP         [32]  CH2 ACTIVE HEAD -------> Ch 2
  2.018  DISP         [32]  CH3 ACTIVE HEAD -------> Ch 3
  2.018  DISP         [32]  CH4 ACTIVE HEAD -------> Ch 4
  2.018  DISP
  2.018  DISP         The next routine operator intervention occurs
  2.018  DISP         in approximately 29 minutes.

  2.020  MATH         @Chan = 1
  2.021  M9500                       CH1
  2.022  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500

  2.023  MATH         @Chan = 2
  2.024  M9500                       CH2
  2.025  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500

  2.026  MATH         @Chan = 3
  2.027  M9500                       CH3
  2.028  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500

  2.029  MATH         @Chan = 4
  2.030  M9500                       CH4
  2.031  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500

  2.032  MATH         @Chan = 1
  2.033  M9500                       CH1
  2.034  CALL         Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500

  2.035  MATH         @Chan = 2
  2.036  M9500                       CH2
  2.037  CALL         Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500

  2.038  MATH         @Chan = 3
  2.039  M9500                       CH3
  2.040  CALL         Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500

  2.041  MATH         @Chan = 4
  2.042  M9500                       CH4
  2.043  CALL         Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500

  2.044  MATH         @Chan = 1
  2.045  M9500                       CH1
  2.046  CALL         Sub AT DSO/DSA90254A (1 yr) Bandwidth VER VISA /9530

  2.047  MATH         @Chan = 2
  2.048  M9500                       CH2
  2.049  CALL         Sub AT DSO/DSA90254A (1 yr) Bandwidth VER VISA /9530

  2.050  MATH         @Chan = 3
  2.051  M9500                       CH3
  2.052  CALL         Sub AT DSO/DSA90254A (1 yr) Bandwidth VER VISA /9530

  2.053  MATH         @Chan = 4
  2.054  M9500                       CH4
  2.055  CALL         Sub AT DSO/DSA90254A (1 yr) Bandwidth VER VISA /9530

  2.056  HEAD         INSTRUMENT CONNECTIONS
  2.057  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.058  DISP         Connect the [V @LO_DevName] [V @LO_Output] to the
  2.058  DISP         UUT Ch 1 INPUT.
  2.058  DISP
  2.058  DISP         The next routine operator intervention occurs
  2.058  DISP         in  < 1 minute (verification will be complete,
  2.058  DISP         barring any failures).

  2.059  MATH         @Chan = 1
  2.060  M9500                       CH1
  2.061  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Time Scale VER VISA /LO

  2.062  RSLT         =
  2.063  HEAD         {V E R I F I C A T I O N   C O M P L E T E}
  2.064  END
